
From: john stultz <johnstul@us.ibm.com>

Since monotonic_clock() is not defined on every arch yet, this patch
insures the hangcheck-timer module (currently the only user of
monotonic-clock) is not built where it will not compile.

I know, I know. Ideally monotonic_clock() would be implemented on all
arches, but I've just not had the time.  If any of the non x86/x86-64
folks feel bored, drop me a line.  It'd be a fairly easy project.



 25-akpm/drivers/char/Kconfig |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/char/Kconfig~hangcheck-compile-fix drivers/char/Kconfig
--- 25/drivers/char/Kconfig~hangcheck-compile-fix	Wed Sep 17 12:35:40 2003
+++ 25-akpm/drivers/char/Kconfig	Wed Sep 17 12:35:40 2003
@@ -1020,6 +1020,7 @@ config RAW_DRIVER
 
 config HANGCHECK_TIMER
 	tristate "Hangcheck timer"
+	depends on X86_64 || X86
 	help
 	  The hangcheck-timer module detects when the system has gone
 	  out to lunch past a certain margin.  It can reboot the system

_
